NetBSD Problem Report #50765

From dholland@macaran.eecs.harvard.edu  Wed Feb  3 20:15:08 2016
Return-Path: <dholland@macaran.eecs.harvard.edu>
Received: from mail.netbsd.org (mail.NetBSD.org [199.233.217.200])
	(using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
	(Client CN "mail.netbsd.org", Issuer "Postmaster NetBSD.org" (verified OK))
	by mollari.NetBSD.org (Postfix) with ESMTPS id 567F97A20C
	for <gnats-bugs@gnats.NetBSD.org>; Wed,  3 Feb 2016 20:15:08 +0000 (UTC)
Message-Id: <20160203201435.347666E1BF@macaran.eecs.harvard.edu>
Date: Wed,  3 Feb 2016 15:14:35 -0500 (EST)
From: dholland@eecs.harvard.edu
Reply-To: dholland@netbsd.org
To: gnats-bugs@NetBSD.org
Subject: emulators/qemu: verifypc complaints
X-Send-Pr-Version: 3.95

>Number:         50765
>Category:       pkg
>Synopsis:       emulators/qemu: verifypc complaints
>Confidential:   no
>Severity:       non-critical
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Wed Feb 03 20:20:00 +0000 2016
>Originator:     David A. Holland
>Release:        NetBSD 7.99.25 (pkgsrc 20160201)
>Organization:
>Environment:
System: NetBSD macaran 7.99.25 NetBSD 7.99.25 (MACARAN) #34: Tue Dec 22 23:55:33 EST 2015 dholland@macaran:/usr/src/sys/arch/amd64/compile/MACARAN amd64
Architecture: x86_64
Machine: amd64
>Description:

Running verifypc after building qemu yields:

   verifypc: bluez not found
   verifypc: epoxy not found
   verifypc: glib-2.0 not correct; '>= 2.38' needed
   verifypc: glusterfs-api not found
   verifypc: gnutls not found
   verifypc: gtk+-2.0 not found
   verifypc: gtk+-3.0 not found
   verifypc: libcacard not found
   verifypc: libcurl not found
   verifypc: libiscsi not found
   verifypc: libnfs not found
   verifypc: libpng not found
   verifypc: libseccomp not found
   verifypc: libssh2 not found
   verifypc: libtasn1 not found
   verifypc: libusb-1.0 not found
   verifypc: libusbredirparser-0.5 not found
   verifypc: ncurses not found
   verifypc: pixman-1 not a direct dependency
   verifypc: pixman-1 not a direct dependency
   verifypc: spice-protocol not found
   verifypc: spice-server not found
   verifypc: virglrenderer not found
   verifypc: vte not found
   verifypc: x11 not a direct dependency

Clearly some of the things that are not found should just be added
(e.g. libpng) and some, like bluez and probably gtk, should be
optional. And some that are OS-dependent like libseccomp should
probably be added conditionally.

(the ones that are not direct dependencies should just be added)

Examining options.mk to check that some of these weren't already
nondefault option also reveals a problem: there's an option "ivshmem",
whose default varies based on netbsd version, but which controls
nothing about the build of the package but only adjusts the PLIST.
This is the wrong way to do that, so the "ivshmem" option should be
taken out in favor of just adjusting the PLIST automatically when
needed.

>How-To-Repeat:
	as above
>Fix:

Straightforward, but needs discussion to decide what to do. I'm filing
this to remind me to take it up, and to store the list in the meantime.

NetBSD Home
NetBSD PR Database Search

(Contact us) $NetBSD: query-full-pr,v 1.39 2013/11/01 18:47:49 spz Exp $
$NetBSD: gnats_config.sh,v 1.8 2006/05/07 09:23:38 tsutsui Exp $
Copyright © 1994-2014 The NetBSD Foundation, Inc. ALL RIGHTS RESERVED.